
QGIS Application - Feature request #11357

Expose all CompositionModes in Blend Mode drop-down

2014-10-08 05:41 AM - Graham Horner

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 19648

Description

Feature/Layer blending mode selection is a great addition, but why choose only 13 modes from those supported by Qt?  In particular, I

find the source mode essential when rendering polygons with coincident boundaries to make sure only one boundary line is displayed.

(Line style is a dotted line on top of a transparent solid line.)

History

#1 - 2014-10-08 01:29 PM - Nyall Dawson

This has been discussed before, but is dependent on per layer group blend modes.

#2 - 2014-10-09 06:29 AM - Graham Horner

Thanks.  I'm interested to learn more.  Is the "discussion" on-line, and could you point me to any further information on "group blend modes", please.

#3 - 2014-10-09 03:09 PM - Nyall Dawson

Here you go:

http://lists.osgeo.org/pipermail/qgis-developer/2014-March/031884.html

#4 - 2014-10-10 05:27 AM - Graham Horner

Crystal clear, now.  I can't see anything stopping the more 'exotic' modes being enabled in feature blend modes, as things like destinationout do not punch

through other layers or the background. And why not turn them on in layer blend modes, perhaps with a health warning?

The job I have is to produce pyramid tiles for overlaying onto raster maps provided by others from a WMS.  As such, I have no background and am using

feature blend source and then layer blend destinationout to erase parts of layers before writing other layers over the holes.  For example, I get can clean

(UK) County boundaries plotted over the boundaries at the edges of Districts and Parishes using this technique.  I couldn't figure another way of doing it.

These are all closed polygons drawn as dotted lines (OSM mapnik style) which would otherwise merge into a mush.

If I had any voting power I would definately vote up blend modes for layer groups, especially if it was the only way outside the pygis console to get these

blend modes.  It would let people do what I'm doing for my overlays and then lay the result onto a map in the same project.  I can't think I am alone with this

problem.

Thanks for the quick responses and all your hard work.

#5 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
#6 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
